<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
	<title>API: animation   (YUI Library)</title>
	<link rel="stylesheet" type="text/css" href="assets/api.css">
</head>

<body id="yahoo-com">
<div id="doc3" class="yui-t2">

	<div id="hd">
        <h1>Yahoo! UI Library</h1>
        <h3>animation&nbsp; <span class="subtitle">2.2.0</span></h3>
        <p>
        <a href="./index.html">Yahoo! UI Library</a> 
            &gt; <a href="./module_animation.html">animation</a>
                
                
            </p>
	</div>

	<div id="bd">
		<div id="yui-main">
			<div class="yui-b">

                   
                    <h3>Module: animation
                    


                    </h3>
                    <div class="description summary">
                        The animation module provides allows effects to be added to HTMLElements.
                    </div>

                    <form onsubmit="return false">
                        <p>Search animation:
                        <div id="propertysearch">
                            <input autocomplete="off" id="searchinput" />
                            <div id="searchresults">
                                &nbsp;
                            </div>
                        </div>
                    </form>
                    <script type="text/javascript">
                        ALL_YUI_PROPS = [{"url": "YAHOO.util.Anim.html#actualFrames", "host": "YAHOO.util.Anim", "name": "actualFrames"}, {"url": "YAHOO.util.Anim.html#animate", "host": "YAHOO.util.Anim", "name": "animate"}, {"url": "YAHOO.util.Anim.html#attributes", "host": "YAHOO.util.Anim", "name": "attributes"}, {"url": "YAHOO.util.Easing.html#backBoth", "host": "YAHOO.util.Easing", "name": "backBoth"}, {"url": "YAHOO.util.Easing.html#backIn", "host": "YAHOO.util.Easing", "name": "backIn"}, {"url": "YAHOO.util.Easing.html#backOut", "host": "YAHOO.util.Easing", "name": "backOut"}, {"url": "YAHOO.util.Easing.html#bounceBoth", "host": "YAHOO.util.Easing", "name": "bounceBoth"}, {"url": "YAHOO.util.Easing.html#bounceIn", "host": "YAHOO.util.Easing", "name": "bounceIn"}, {"url": "YAHOO.util.Easing.html#bounceOut", "host": "YAHOO.util.Easing", "name": "bounceOut"}, {"url": "YAHOO.util.AnimMgr.html#correctFrame", "host": "YAHOO.util.AnimMgr", "name": "correctFrame"}, {"url": "YAHOO.util.Anim.html#currentFrame", "host": "YAHOO.util.Anim", "name": "currentFrame"}, {"url": "YAHOO.util.AnimMgr.html#delay", "host": "YAHOO.util.AnimMgr", "name": "delay"}, {"url": "YAHOO.util.Anim.html#doMethod", "host": "YAHOO.util.Anim", "name": "doMethod"}, {"url": "YAHOO.util.Anim.html#duration", "host": "YAHOO.util.Anim", "name": "duration"}, {"url": "YAHOO.util.Easing.html#easeBoth", "host": "YAHOO.util.Easing", "name": "easeBoth"}, {"url": "YAHOO.util.Easing.html#easeBothStrong", "host": "YAHOO.util.Easing", "name": "easeBothStrong"}, {"url": "YAHOO.util.Easing.html#easeIn", "host": "YAHOO.util.Easing", "name": "easeIn"}, {"url": "YAHOO.util.Easing.html#easeInStrong", "host": "YAHOO.util.Easing", "name": "easeInStrong"}, {"url": "YAHOO.util.Easing.html#easeNone", "host": "YAHOO.util.Easing", "name": "easeNone"}, {"url": "YAHOO.util.Easing.html#easeOut", "host": "YAHOO.util.Easing", "name": "easeOut"}, {"url": "YAHOO.util.Easing.html#easeOutStrong", "host": "YAHOO.util.Easing", "name": "easeOutStrong"}, {"url": "YAHOO.util.Anim.html#el", "host": "YAHOO.util.Anim", "name": "el"}, {"url": "YAHOO.util.Easing.html#elasticBoth", "host": "YAHOO.util.Easing", "name": "elasticBoth"}, {"url": "YAHOO.util.Easing.html#elasticIn", "host": "YAHOO.util.Easing", "name": "elasticIn"}, {"url": "YAHOO.util.Easing.html#elasticOut", "host": "YAHOO.util.Easing", "name": "elasticOut"}, {"url": "YAHOO.util.AnimMgr.html#fps", "host": "YAHOO.util.AnimMgr", "name": "fps"}, {"url": "YAHOO.util.Anim.html#getAttribute", "host": "YAHOO.util.Anim", "name": "getAttribute"}, {"url": "YAHOO.util.Anim.html#getDefaultUnit", "host": "YAHOO.util.Anim", "name": "getDefaultUnit"}, {"url": "YAHOO.util.Anim.html#getEl", "host": "YAHOO.util.Anim", "name": "getEl"}, {"url": "YAHOO.util.Bezier.html#getPosition", "host": "YAHOO.util.Bezier", "name": "getPosition"}, {"url": "YAHOO.util.Anim.html#getStartTime", "host": "YAHOO.util.Anim", "name": "getStartTime"}, {"url": "YAHOO.util.Anim.html#init", "host": "YAHOO.util.Anim", "name": "init"}, {"url": "YAHOO.util.Anim.html#isAnimated", "host": "YAHOO.util.Anim", "name": "isAnimated"}, {"url": "YAHOO.util.Anim.html#isAnimated", "host": "YAHOO.util.Anim", "name": "isAnimated"}, {"url": "YAHOO.util.Anim.html#method", "host": "YAHOO.util.Anim", "name": "method"}, {"url": "YAHOO.util.Anim.html#_onComplete", "host": "YAHOO.util.Anim", "name": "_onComplete"}, {"url": "YAHOO.util.Anim.html#onComplete", "host": "YAHOO.util.Anim", "name": "onComplete"}, {"url": "YAHOO.util.Anim.html#_onStart", "host": "YAHOO.util.Anim", "name": "_onStart"}, {"url": "YAHOO.util.Anim.html#onStart", "host": "YAHOO.util.Anim", "name": "onStart"}, {"url": "YAHOO.util.Anim.html#_onTween", "host": "YAHOO.util.Anim", "name": "_onTween"}, {"url": "YAHOO.util.Anim.html#onTween", "host": "YAHOO.util.Anim", "name": "onTween"}, {"url": "YAHOO.util.Anim.html#onTween", "host": "YAHOO.util.Anim", "name": "onTween"}, {"url": "YAHOO.util.ColorAnim.html#parseColor", "host": "YAHOO.util.ColorAnim", "name": "parseColor"}, {"url": "YAHOO.util.AnimMgr.html#queue", "host": "YAHOO.util.AnimMgr", "name": "queue"}, {"url": "YAHOO.util.AnimMgr.html#registerElement", "host": "YAHOO.util.AnimMgr", "name": "registerElement"}, {"url": "YAHOO.util.AnimMgr.html#run", "host": "YAHOO.util.AnimMgr", "name": "run"}, {"url": "YAHOO.util.Anim.html#setAttribute", "host": "YAHOO.util.Anim", "name": "setAttribute"}, {"url": "YAHOO.util.Anim.html#setRuntimeAttribute", "host": "YAHOO.util.Anim", "name": "setRuntimeAttribute"}, {"url": "YAHOO.util.AnimMgr.html#start", "host": "YAHOO.util.AnimMgr", "name": "start"}, {"url": "YAHOO.util.Anim.html#startTime", "host": "YAHOO.util.Anim", "name": "startTime"}, {"url": "YAHOO.util.AnimMgr.html#stop", "host": "YAHOO.util.AnimMgr", "name": "stop"}, {"url": "YAHOO.util.Anim.html#stop", "host": "YAHOO.util.Anim", "name": "stop"}, {"url": "YAHOO.util.AnimMgr.html#thread", "host": "YAHOO.util.AnimMgr", "name": "thread"}, {"url": "YAHOO.util.Anim.html#toString", "host": "YAHOO.util.Anim", "name": "toString"}, {"url": "YAHOO.util.Anim.html#totalFrames", "host": "YAHOO.util.Anim", "name": "totalFrames"}, {"url": "YAHOO.util.AnimMgr.html#tweenCount", "host": "YAHOO.util.AnimMgr", "name": "tweenCount"}, {"url": "YAHOO.util.AnimMgr.html#unRegister", "host": "YAHOO.util.AnimMgr", "name": "unRegister"}, {"url": "YAHOO.util.Anim.html#useSeconds", "host": "YAHOO.util.Anim", "name": "useSeconds"}];
                    </script>

                    <script type="text/javascript" src="assets/api-js"></script>
                    <script type="text/javascript" src="assets/ac-js"></script>

			</div>
		</div>
		<div class="yui-b">
            <div class="nav">

                    <div class="module">
                        <h4>Modules</h4>
                        <ul class="content">

                                <li class="selected"><a href="module_animation.html">animation</a></li>

                                <li class=""><a href="module_autocomplete.html">autocomplete</a></li>

                                <li class=""><a href="module_button.html">button</a></li>

                                <li class=""><a href="module_calendar.html">calendar</a></li>

                                <li class=""><a href="module_connection.html">connection</a></li>

                                <li class=""><a href="module_container.html">container</a></li>

                                <li class=""><a href="module_datasource.html">datasource</a></li>

                                <li class=""><a href="module_datatable.html">datatable</a></li>

                                <li class=""><a href="module_dom.html">dom</a></li>

                                <li class=""><a href="module_dragdrop.html">dragdrop</a></li>

                                <li class=""><a href="module_element.html">element</a></li>

                                <li class=""><a href="module_event.html">event</a></li>

                                <li class=""><a href="module_history.html">history</a></li>

                                <li class=""><a href="module_logger.html">logger</a></li>

                                <li class=""><a href="module_menu.html">menu</a></li>

                                <li class=""><a href="module_slider.html">slider</a></li>

                                <li class=""><a href="module_tabview.html">tabview</a></li>

                                <li class=""><a href="module_treeview.html">treeview</a></li>

                                <li class=""><a href="module_yahoo.html">yahoo</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Classes</h4>
                        <ul class="content">
                                <li class=""><a href="YAHOO.util.Anim.html">YAHOO.util.Anim</a></li>
                                <li class=""><a href="YAHOO.util.AnimMgr.html">YAHOO.util.AnimMgr</a></li>
                                <li class=""><a href="YAHOO.util.Bezier.html">YAHOO.util.Bezier</a></li>
                                <li class=""><a href="YAHOO.util.ColorAnim.html">YAHOO.util.ColorAnim</a></li>
                                <li class=""><a href="YAHOO.util.Easing.html">YAHOO.util.Easing</a></li>
                                <li class=""><a href="YAHOO.util.Motion.html">YAHOO.util.Motion</a></li>
                                <li class=""><a href="YAHOO.util.Scroll.html">YAHOO.util.Scroll</a></li>
                        </ul>
                    </div>

                    <div class="module">
                        <h4>Files</h4>
                        <ul class="content">        
                                <li class=""><a href="Anim.js.html">Anim.js</a></li>
                                <li class=""><a href="AnimMgr.js.html">AnimMgr.js</a></li>
                                <li class=""><a href="Bezier.js.html">Bezier.js</a></li>
                                <li class=""><a href="ColorAnim.js.html">ColorAnim.js</a></li>
                                <li class=""><a href="Easing.js.html">Easing.js</a></li>
                                <li class=""><a href="Motion.js.html">Motion.js</a></li>
                                <li class=""><a href="Scroll.js.html">Scroll.js</a></li>
                        </ul>
                    </div>





            </div>
		</div>
	</div>
	<div id="ft">
        <hr />
        Copyright &copy; 2007 Yahoo! Inc. All rights reserved.
	</div>
</div>
</body>
</html>
